bits/alloc_traits.h File Reference

Go to the source code of this file.

## Classes

struct | std::allocator_traits< _Alloc >
struct | std::allocator_traits< allocator< _Tp > >

## Namespaces

| std

## Macros

#define | __cpp_lib_allocator_traits_is_always_equal

## Typedefs

template<typename _Alloc , typename _Up >
using | std::__alloc_rebind = typename __allocator_traits_base::template __rebind< _Alloc, _Up >::type

## Functions

template<typename _Alloc >
void | std::__alloc_on_copy (_Alloc &__one, const _Alloc &__two)
template<typename _Alloc >
_Alloc | std::__alloc_on_copy (const _Alloc &__a)
template<typename _Alloc >
void | std::__alloc_on_move (_Alloc &__one, _Alloc &__two)
template<typename _Alloc >
void | std::__alloc_on_swap (_Alloc &__one, _Alloc &__two)
template<typename _Alloc >
void | std::__do_alloc_on_copy (_Alloc &__one, const _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_copy (_Alloc &, const _Alloc &, false_type)
template<typename _Alloc >
void | std::__do_alloc_on_move (_Alloc &__one, _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_move (_Alloc &, _Alloc &, false_type)
template<typename _Alloc >
void | std::__do_alloc_on_swap (_Alloc &__one, _Alloc &__two, true_type)
template<typename _Alloc >
void | std::__do_alloc_on_swap (_Alloc &, _Alloc &, false_type)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <memory>.

Definition in file bits/alloc_traits.h.